package com.bonus.material.fieldMaintenance.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.back.domain.BackApplyInfo;
import com.bonus.material.fieldMaintenance.domain.FieldApplyDetails;
import com.bonus.material.fieldMaintenance.domain.FieldApplyInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FieldMaintenanceService {

    /**
     * 查询现场维修任务列表
     *
     * @param fieldApplyInfo 现场维修任务
     * @return 现场维修任务集合
     */
    List<FieldApplyInfo> selectFieldApplyInfoList(FieldApplyInfo fieldApplyInfo);

    List<FieldApplyDetails> selectFieldApplyDetailsList(FieldApplyDetails fieldApplyInfo);
    /**
     * 通过id获取
     *
     * @param id id
     * @return 信息
     */
    AjaxResult selectFieldApplyInfoById(Integer id);

    /**
     * 新增维修任务
     *
     * @param fieldApplyInfo 信息
     * @return 是否成功
     */
    AjaxResult insert(FieldApplyInfo fieldApplyInfo);

    /**
     * 删除任务
     *
     * @param id id
     * @return 条数
     */
    AjaxResult deleteFieldApplyInfoById(Integer id, Long taskId);

    /**
     * 提交任务
     *
     * @param taskId 任务id
     * @return 条数
     */
    AjaxResult submitTask(Long taskId);


    AjaxResult deleteFieldApplyDetailsById(Long id,Long typeId);


    AjaxResult insertDetails(FieldApplyDetails fieldApplyDetails);

}
